漏洞详情: CVE-2014-0188

漏洞标题
NVD 暂无描述信息
来源:NVD
Red Hat OpenShift Enterprise 授权问题漏洞
来源:CNNVD
漏洞描述
The openshift-origin-broker in Red Hat OpenShift Enterprise 2.0.5, 1.2.7, and earlier does not properly handle authentication requests from the remote-user auth plugin, which allows remote attackers to bypass authentication and impersonate arbitrary users via the X-Remote-User header in a request to a passthrough trigger.
来源:NVD
Red Hat OpenShift Enterprise是美国红帽(Red Hat)公司的一款企业版平台即服务(PaaS)云计算平台,它支持构建、测试、部署和运行应用程序。 Red Hat OpenShift Enterprise 2.0.5及之前版本和1.2.7及之前版本存在授权问题漏洞,该漏洞源于程序没有正确处理插件的授权请求。远程攻击者可借助请求中的X-Remote-User头信息利用该漏洞绕过身份验证,冒充任意用户。
来源:CNNVD
红帽OpenShift Enterprise 2.0.5、1.2.7以及更早版本中的openshift-origin-broker 未正确处理来自远程用户认证插件的认证请求,这允许远程攻击者绕过认证并通过通过转发触发器发送的 X-Remote-User 头来模拟任意用户。
来源:神龙机器人
漏洞评分(CVSS)
NVD 暂无评分
来源:NVD
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N
来源:神龙机器人, 准确率:N/A
漏洞类别
NVD 暂无漏洞类别信息
来源:NVD
授权问题
来源:CNNVD
相关链接